package com.jxdinfo.hussar.core.bouncycastle.asn1;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1SetParser;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1StreamParser;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEREncodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERSet;
import java.io.IOException;

public class DERSetParser implements ASN1SetParser {
  private ASN1StreamParser package;
  
  public DEREncodable readObject() throws IOException {
    return this.package.readObject();
  }
  
  public DERObject getLoadedObject() throws IOException {
    return (DERObject)new DERSet(this.package.final(), false);
  }
  
  public DERObject getDERObject() {
    return getLoadedObject();
  }
  
  DERSetParser(ASN1StreamParser aSN1StreamParser) {
    this.package = aSN1StreamParser;
  }
}
